## neutron-vpnaas 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

requests>=2.14.2 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.18.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

neutron>=13.0.0.0b2 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-vpnaas (2:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:19:20 +0100

neutron-vpnaas (2:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:32:48 +0100

neutron-vpnaas (2:15.0.0~b1~git2019080821.66dfa3f57-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 21:35:15 -0400

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:14.0.0~b1~git20190131),
 python3-neutron-lib (>= 1.18.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Homepage: https://github.com/openstack/neutron-vpnaas
Testsuite: autopkgtest-pkg-python

Package: neutron-vpnaas-common
Architecture: all
Section: python
Depends:
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
Breaks:
 python-neutron-vpnaas (<< 2:13.0.0~b2-0ubuntu2~),
Replaces:
 python-neutron-vpnaas (<< 2:13.0.0~b2-0ubuntu2~),
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 neutron-vpnaas-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:14.0.0~b1~git20190131),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the VPN-as-a-Service
 driver for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	# NOTE: generate configuration files directly
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	rm -rf debian/python*-neutron-vpnaas/usr/etc
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./neutron_vpnaas/tests/unit pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	rm -rf .testrepository build
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	dh_auto_clean

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/neutron-vpnaas neutron-vpnaas-(15\.\d.*)\.tar\.gz

## neutron-vpnaas 16.0.0~b2~git2020021008.94ef8f9ff

=== debian/changelog ===
neutron-vpnaas (2:16.0.0~b2~git2020021008.94ef8f9ff-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 10 Feb 2020 09:16:30 +0100

neutron-vpnaas (2:16.0.0~b1~git2019121712.2ad5c9a94-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 12:42:55 -0500

## neutron-vpnaas 16.0.0~b3~git2020041013.358d35202

=== debian/changelog ===
neutron-vpnaas (2:16.0.0~b3~git2020041013.358d35202-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:53:22 -0400

neutron-vpnaas (2:16.0.0~b3~git2020032431.d86582f04-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 09:21:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -21,7 +18,7 @@
  python3-jinja2 (>= 2.10),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:14.0.0~b1~git20190131),
+ python3-neutron (>= 2:16.0.0~),
  python3-neutron-lib (>= 1.18.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-testr (>= 1.0.0),
@@ -86,7 +83,7 @@
  python3-alembic (>= 0.8.10),
  python3-jinja2 (>= 2.10),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:14.0.0~b1~git20190131),
+ python3-neutron (>= 2:16.0.0~),
  python3-neutron-lib (>= 1.18.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export PYBUILD_NAME=neutron_vpnaas
+
+SHELL := /bin/sh -e
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=python_distutils
-
-override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	# NOTE: generate configuration files directly
@@ -17,7 +22,7 @@
 	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
 	        --output-file=etc/neutron/`basename $$file`; \
 	done
-	rm -rf debian/python*-neutron-vpnaas/usr/etc
+	rm -rf debian/python3-neutron-vpnaas/usr/etc
 	dh_install
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-vpnaas neutron-vpnaas-(15\.\d.*)\.tar\.gz

## neutron-vpnaas 16.0.0

=== debian/changelog ===
neutron-vpnaas (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:54:51 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-vpnaas neutron-vpnaas-(16\.\d.*)\.tar\.gz

## neutron-vpnaas 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.2.0 # MIT
 alembic>=0.8.10 # MIT
-six>=1.10.0 # MIT
 neutron-lib>=1.18.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0

=== neutron_vpnaas/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1,<2.0.0
psycopg2
PyMySQL>=0.6.2  # MIT License

# Make sure that mock is installed in functional environment for
# neutron. This needs to be removed from master as soon as new neutron
# is released from Victoria, as mock is removed in development branch.
mock>=2.0.0 # BSD

=== debian/changelog ===
neutron-vpnaas (2:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:24:09 +0200

neutron-vpnaas (2:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 21:22:32 +0200

neutron-vpnaas (2:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:22:08 +0200

neutron-vpnaas (2:16.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 21:41:42 +0200

neutron-vpnaas (2:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Move the package to the neutron-plugins subgroup on Salsa.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 10:54:51 +0200

neutron-vpnaas (2:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:27:00 +0200

neutron-vpnaas (2:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:46:34 +0200

neutron-vpnaas (2:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Increased minimum python3-neutron version to 15.0.0~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2019 17:06:12 +0200

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-isort,
 python3-jinja2,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 1:15.0.0~),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python3-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic,
 python3-jinja2,
 python3-netaddr,
 python3-neutron (>= 1:15.0.0~),
 python3-neutron-lib,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 strongswan,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-neutron-vpnaas,
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/openstack/neutron-vpnaas.git
VPNAAS_CONF=$(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf
VPN_AGENT_CONF=$(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini


%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-vpnaas-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-vpnaas-common.postrm

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_vpnaas\.tests\.unit.*'
endif

	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
		--wrap-width 140 \
		--namespace neutron.vpnaas.agent
	
	# Specify default config
	pkgos-fix-config-default ${VPN_AGENT_CONF} service_providers service_provider VPN:strongswan:neutron_vpnaas.services.vpn.service_drivers.ipsec.IPsecVPNDriver:default
	sed -i 's/\(^#ipsec_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
	sed -i 's/\(^#strongswan_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
	sed -i 's/\(^#ipsec_secret_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
		--wrap-width 140 \
		--namespace neutron.vpnaas
	
	# Specify default config
	pkgos-fix-config-default ${VPNAAS_CONF} service_providers service_provider VPN:strongswan:neutron_vpnaas.services.vpn.service_drivers.ipsec.IPsecVPNDriver:default

	# Install rootwrap filters
	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/rootwrap.d
	cp etc/neutron/rootwrap.d/vpnaas.filters $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/rootwrap.d

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-vpnaas 18.0.0

=== debian/changelog ===
neutron-vpnaas (2:18.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:10:37 +0000

neutron-vpnaas (2:18.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 18.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 11:23:53 -0400

neutron-vpnaas (2:17.0.0+git2021012910.3d084bf48-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 10:52:05 -0500

neutron-vpnaas (2:17.0.0+git2020121015.fd4eb472a-0ubuntu2) hirsute; urgency=medium

  * d/py3dist-overrides: Added to override pyflakes.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Dec 2020 08:25:45 -0500

neutron-vpnaas (2:17.0.0+git2020121015.fd4eb472a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 15:23:48 -0500

neutron-vpnaas (2:17.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 12:42:53 -0400

neutron-vpnaas (2:16.0.1~git2020091514.2b293a1bf-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 15 Sep 2020 14:11:08 +0000

neutron-vpnaas (2:16.0.1~git2020070710.775adee62-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2020 10:37:42 -0400

neutron-vpnaas (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:54:51 -0400

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.2.1),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.4.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Homepage: https://github.com/openstack/neutron-vpnaas
Testsuite: autopkgtest-pkg-python

Package: neutron-vpnaas-common
Architecture: all
Section: python
Depends:
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 neutron-vpnaas-common (= ${binary:Version}),
 python3-alembic (>= 0.9.6),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.2.1),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.4.0),
 python3-pbr (>= 4.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the VPN-as-a-Service
 driver for Neutron.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-vpnaas/ neutron-vpnaas-(18\.\d.*)\.tar\.gz

## neutron-vpnaas 18.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

requests>=2.14.2 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.9.6 # MIT
neutron-lib>=2.6.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.log>=4.2.1 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.4.0 # Apache-2.0

neutron>=17.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-vpnaas (2:18.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:34:56 +0000

neutron-vpnaas (2:18.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Aug 2021 16:12:16 +0200

neutron-vpnaas (2:18.0.0-1) experimental; urgency=medium

  * Set python3-neutron (>= 18.0.0~).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:41:51 +0200

neutron-vpnaas (2:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * debhelper-compat 11.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:02:24 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-isort,
 python3-jinja2,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 18.0.0~),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python3-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic,
 python3-jinja2,
 python3-netaddr,
 python3-neutron (>= 18.0.0~),
 python3-neutron-lib,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 strongswan,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-neutron-vpnaas,
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

## neutron-vpnaas 19.0.0

=== debian/changelog ===
neutron-vpnaas (2:19.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 19.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:58:31 -0400

neutron-vpnaas (2:18.0.0+git2021090913.8de26cbfc-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 13:15:38 -0400

neutron-vpnaas (2:18.0.0+git2021061405.f82e5c741-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:43 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-vpnaas/ neutron-vpnaas-(19\.\d.*)\.tar\.gz

## neutron-vpnaas 19.0.1

=== debian/changelog ===
neutron-vpnaas (2:19.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:25:48 +0000

neutron-vpnaas (2:19.0.0-2) unstable; urgency=medium

  * Added es.po Spanish translation of the debconf template thanks to Camaleón
    (Closes: #987707).
  * Added pt_BR.po Brazilian Portuguese translation of the debconf template
    thanks to Adriano Rafael Gomes (Closes: #987439).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 12:17:10 +0100

neutron-vpnaas (2:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:47:46 +0200

neutron-vpnaas (2:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:53:06 +0200

neutron-vpnaas (2:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 15:19:22 +0200

## neutron-vpnaas 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,21 +3,21 @@
 # process, which may cause wedges in the gate later.
 pbr>=4.0.0 # Apache-2.0
 
-requests>=2.14.2 # Apache-2.0
+requests>=2.18.0 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 netaddr>=0.7.18 # BSD
-SQLAlchemy>=1.2.0 # MIT
-alembic>=0.9.6 # MIT
+SQLAlchemy>=1.3.0 # MIT
+alembic>=1.6.5 # MIT
 neutron-lib>=2.6.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
+oslo.config>=8.0.0 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0
-oslo.log>=4.2.1 # Apache-2.0
+oslo.log>=4.5.0 # Apache-2.0
 oslo.messaging>=7.0.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.service>=1.31.0 # Apache-2.0
-oslo.utils>=4.4.0 # Apache-2.0
+oslo.utils>=4.5.0 # Apache-2.0
 
 neutron>=17.0.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas (2:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:28:04 +0200

neutron-vpnaas (2:20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:49:12 +0100

neutron-vpnaas (2:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 17:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- alembic,
+ alembic (>= 1.6.5),
  python3-coverage,
  python3-fixtures,
  python3-hacking,
@@ -29,7 +29,7 @@
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.db,
- python3-oslo.log,
+ python3-oslo.log (>= 4.5.0),
  python3-oslo.messaging,
  python3-oslo.reports,
  python3-oslo.serialization,
@@ -95,7 +95,7 @@
 Architecture: all
 Section: python
 Depends:
- alembic,
+ alembic (>= 1.6.5),
  python3-jinja2,
  python3-netaddr,
  python3-neutron (>= 18.0.0~),
@@ -103,7 +103,7 @@
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.db,
- python3-oslo.log,
+ python3-oslo.log (>= 4.5.0),
  python3-oslo.messaging,
  python3-oslo.reports,
  python3-oslo.serialization,

## neutron-vpnaas 20.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
neutron-vpnaas (2:20.0.1-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #1995861).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 08:41:01 -0500

neutron-vpnaas (2:20.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x series and fix tarball path.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:00:33 -0400

neutron-vpnaas (2:19.0.0+git2021120910.883f4f261-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:20:24 -0500

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 1.6.5),
 python3-coverage,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Homepage: https://github.com/openstack/neutron-vpnaas
Testsuite: autopkgtest-pkg-python

Package: neutron-vpnaas-common
Architecture: all
Section: python
Depends:
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 neutron-vpnaas-common (= ${binary:Version}),
 python3-alembic (>= 1.6.5),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 4.0.0),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the VPN-as-a-Service
 driver for Neutron.

## neutron-vpnaas 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 # process, which may cause wedges in the gate later.
 pbr>=4.0.0 # Apache-2.0
 
-requests>=2.18.0 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.3.0 # MIT

=== debian/changelog ===
neutron-vpnaas (2:21.0.0-2) unstable; urgency=medium

  * Removed autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2022 13:46:11 +0200

neutron-vpnaas (2:21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:36:13 +0200

neutron-vpnaas (2:21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:48:53 +0200

neutron-vpnaas (2:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 12:09:57 +0200

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.6.5),
 python3-coverage,
 python3-hacking,
 python3-isort,
 python3-jinja2,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:21.0.0~),
 python3-neutron-lib (>= 3.1.0),
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-tempest,
 python3-testtools,
 python3-webtest,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python3-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic (>= 1.6.5),
 python3-jinja2,
 python3-netaddr,
 python3-neutron (>= 2:21.0.0~),
 python3-neutron-lib (>= 3.1.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-sqlalchemy,
 strongswan,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-neutron-vpnaas,
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.
